=== debian/changelog ===
seafile-client (9.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.3+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Fri, 30 Jun 2023 12:37:36 +0200
