=== debian/control ===
Source: seafile-client
Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
Section: net
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 help2man,
 intltool,
 libcurl4-openssl-dev,
 libevent-dev,
 libglib2.0-dev,
 libjansson-dev,
 libquazip5-dev,
 libseafile-dev (>= 9),
 libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
 libsqlite3-dev,
 libssl-dev,
 libtool,
 qtbase5-dev,
 qtchooser,
 qttools5-dev,
 qttools5-dev-tools,
 libqt5webkit5-dev,
 uuid-dev,
Standards-Version: 4.6.2
Homepage: https://seafile.com
Vcs-Browser: https://salsa.debian.org/debian/seafile-client
Vcs-Git: https://salsa.debian.org/debian/seafile-client.git

Package: seafile-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
 libseafile0 (>= ${source-Upstream-Version}),
 seafile-daemon (>= ${source-Upstream-Version}),
Suggests: seafile-cli (>= ${source-Upstream-Version})
Description: Seafile Desktop Client
 Seafile is a file syncing and sharing software with file encryption
 and group sharing, emphasis on reliability and high performance.
 .
 Seafile is an open source cloud storage system with privacy protection
 and teamwork features. Collections of files are called libraries. Each
 library can be synced separately. A library can also be encrypted with
 a user chosen password. Seafile also allows users to create groups and
 easily sharing files into groups.
 .
 This package contains the graphical Desktop Client for Seafile.
