## seafile-client 9.0.4%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 3)
+SET(SEAFILE_CLIENT_VERSION_PATCH 4)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
