=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT=5

CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./

CMAKE_FLAGS += -DUSE_QT_WEBKIT=ON

%:
	dh $@ --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_gencontrol:
	# Set source-Upstream-Version to the *actual* upstream version without repack suffix
	dh_gencontrol -- -Vsource-Upstream-Version=$(DEB_VERSION_UPSTREAM:%+ds1=%) \
	  -Vlib:Depends="$(shell dpkg-query -W -f '$${Depends}' libsearpc-dev \
			| sed -E 's/.*(libsearpc[[:alnum:].-]+).*/\1/') (>= 3.2.0-8+really3.2+git20220425.54145b0), \
			$(shell dpkg-query -W -f '$${Depends}' libseafile-dev \
			| sed -E 's/.*(libseafile[[:alnum:].-]+).*/\1/') (>= $(DEB_VERSION_UPSTREAM:%+ds1=%))"
override_dh_install:
	QT_QPA_PLATFORM=minimal help2man -N \
		-n "Seafile Desktop Client" -i debian/seafile-applet.1.in --version-string=$(DEB_VERSION_UPSTREAM) \
		$(CURDIR)/debian/seafile-gui/usr/bin/seafile-applet > $(CURDIR)/debian/seafile-applet.1
	dh_install
