## seafile-client 9.0.4+ds1

=== debian/changelog ===
seafile-client (9.0.4+ds1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:52 +1100

seafile-client (9.0.4+ds1-1ubuntu1) noble; urgency=medium

  * Don't hard-code dependencies on shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 17:57:00 +0100

seafile-client (9.0.4+ds1-1build3) noble; urgency=high

  * No change rebuild against libsearpc1t64, libseafile0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:20 +0100

seafile-client (9.0.4+ds1-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:04:37 +0000

seafile-client (9.0.4+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:56:08 +0000

seafile-client (9.0.4+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.4+ds1
  * d/patches: Add Forwarded
  * Add d/clean file (Closes: #1045584)
  * Update Build-Deps
  * Add patch for "Title bar on Wayland is not working as expected"
    (Closes: #1062085)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Wed, 31 Jan 2024 11:37:38 +0100
