=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: seafile-client
-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -13,7 +14,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 9),
+ libseafile-dev (>= 9.0.4),
  libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
@@ -32,8 +33,7 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libsearpc1 (>= 3.2.0-8+really3.2+git20220425.54145b0),
- libseafile0 (>= ${source-Upstream-Version}),
+ ${lib:Depends},
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client
