## seafile-client 9.0.7+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 4)
+SET(SEAFILE_CLIENT_VERSION_PATCH 7)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -20,8 +20,8 @@
   SET(LINUX TRUE)
 ENDIF()
 
-IF (APPLE AND NOT CMAKE_OSX_DEPLOYMENT_TARGET)
-  SET(CMAKE_OSX_DEPLOYMENT_TARGET "10.14")
+IF (APPLE)
+  SET(CMAKE_OSX_DEPLOYMENT_TARGET "11")
 ENDIF()
 
 FIND_PROGRAM(git_executable NAMES git git.exe git.cmd)
@@ -370,3 +370,6 @@
   SET(CMAKE_THREAD_PREFER_PTHREAD ON)
   INCLUDE(FindThreads)
   LINK_LIBRARIES(${CMAKE_THREAD_LIBS_INIT})
+ENDIF(NOT APPLE)
+
+####################
