=== debian/changelog ===
seafile-client (9.0.7+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.7+ds1
    - Checkout files directly without writing to cache folder first
    - Use user name when creating conflict files
    - Display user name in shared library list
    - Fix "Copy move is already in progress" error in cloud file browser
    - Support server addresses with special characters
    - Fix help links
    - [mac] Fix crash on first run for Apple Silicon CPUs
    - [linux] Use AppImage format for release
    - [linux] Disable deletion confirmation for CLI client

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 23 Jul 2024 10:08:43 +0200

seafile-client (9.0.6+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.6+ds1
    - Fix sync error icon in main window
    - Handle filename case conflicts better when downloading (don't download file with case conflicts)
    - Improve conflict handling in cloud file browser
    - Add sort library feature in main window
    - Support username and password when use SOCKS5 proxy
    - Requires at least version 2 encryption protocol when creating an encrypted library (Thanks to Jonas Hofmann and Kien Tuong Truong from ETH Zurich)
    - Change local file permission when recieving unlock event from notification server
    - [mac] Update system tray icon
    - [linux] ensure only one seaf-daemon running for each account
    - [linux] Support reading parameters from configuration file
  * Bump libseafile-dev dependency

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 27 May 2024 11:28:32 +0200

seafile-client (9.0.5+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.5+ds1
  * Refresh patches
  * Update CI config
  * Fix Dependencies (Closes: #1069336)

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Mon, 22 Apr 2024 13:42:46 +0200
