=== debian/changelog ===
seafile-client (9.0.11+ds1-2) unstable; urgency=medium

  * Build with QtWebEngine instead of obsolete QtWebKit (Closes: #1093523)
  * d/control: Bump Standards-Version

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Tue, 28 Jan 2025 12:26:08 +0100

seafile-client (9.0.11+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.11+ds1

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 14 Nov 2024 14:22:56 +0100
