=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: seafile-client
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
+Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
 Section: net
 Priority: optional
@@ -14,7 +13,7 @@
  libglib2.0-dev,
  libjansson-dev,
  libquazip5-dev,
- libseafile-dev (>= 9.0.4),
+ libseafile-dev (>= 9.0.6),
  libsearpc-dev (>= 3.2.0-8+really3.2+git20220425.54145b0),
  libsqlite3-dev,
  libssl-dev,
@@ -23,9 +22,9 @@
  qtchooser,
  qttools5-dev,
  qttools5-dev-tools,
- libqt5webkit5-dev,
+ qtwebengine5-dev,
  uuid-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
@@ -33,7 +32,6 @@
 Package: seafile-gui
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- ${lib:Depends},
  seafile-daemon (>= ${source-Upstream-Version}),
 Suggests: seafile-cli (>= ${source-Upstream-Version})
 Description: Seafile Desktop Client
