## seafile-client 9.0.12%2Bds1

=== debian/changelog ===
seafile-client (9.0.12+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.12+ds1
  * wrap-and-sort
  * Refresh patches

 -- Moritz Schlarb <schlarbm@uni-mainz.de>  Thu, 13 Feb 2025 21:27:58 +0100
