=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: seafile-client
 Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
-Uploaders: Christoph Martin <martin@uni-mainz.de>, Moritz Schlarb <schlarbm@uni-mainz.de>
+Uploaders:
+ Christoph Martin <martin@uni-mainz.de>,
+ Moritz Schlarb <schlarbm@uni-mainz.de>,
 Section: net
 Priority: optional
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  help2man,
  intltool,
  libcurl4-openssl-dev,
@@ -31,9 +33,11 @@
 
 Package: seafile-gui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends:
  seafile-daemon (>= ${source-Upstream-Version}),
-Suggests: seafile-cli (>= ${source-Upstream-Version})
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests: seafile-cli (>= ${source-Upstream-Version}),
 Description: Seafile Desktop Client
  Seafile is a file syncing and sharing software with file encryption
  and group sharing, emphasis on reliability and high performance.
