=== debian/changelog ===
seafile-client (9.0.13+ds1-1) unstable; urgency=medium

  * Update d/control and d/copyright
  * New upstream version 9.0.13+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 22 Apr 2025 12:15:34 +0200
