## seafile-client 9.0.15%2Bds1

=== debian/changelog ===
seafile-client (9.0.15+ds1-2) unstable; urgency=medium

  * d/rules: CMake 4.0 compatibility (Closes: #1113492)

 -- Moritz Schlarb <moschlar@debian.org>  Mon, 06 Oct 2025 11:46:37 +0200

seafile-client (9.0.15+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.15+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Tue, 12 Aug 2025 09:23:54 +0200
