## seafile-client 9.0.15+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PROJECT(seafile-client)
 SET(SEAFILE_CLIENT_VERSION_MAJOR 9)
 SET(SEAFILE_CLIENT_VERSION_MINOR 0)
-SET(SEAFILE_CLIENT_VERSION_PATCH 13)
+SET(SEAFILE_CLIENT_VERSION_PATCH 15)
 SET(PROJECT_VERSION "${SEAFILE_CLIENT_VERSION_MAJOR}.${SEAFILE_CLIENT_VERSION_MINOR}.${SEAFILE_CLIENT_VERSION_PATCH}")
 ADD_DEFINITIONS(-DSEAFILE_CLIENT_VERSION=${PROJECT_VERSION})
 ADD_DEFINITIONS(-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_26)
@@ -157,7 +157,7 @@
 ENDIF()
 
 IF(QT_VERSION_MAJOR EQUAL 6)
-    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat WebEngineCore WebEngineWidgets)
+    SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network Core5Compat)
 ELSE()
     SET(USE_QT_LIBRARIES Core Gui Widgets LinguistTools Network)
 ENDIF()
