=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Seafile Team <team+seafile@tracker.debian.org>
 Uploaders:
  Christoph Martin <martin@uni-mainz.de>,
- Moritz Schlarb <schlarbm@uni-mainz.de>,
+ Moritz Schlarb <moschlar@debian.org>,
 Section: net
 Priority: optional
 Build-Depends:
@@ -26,7 +26,7 @@
  qttools5-dev-tools,
  qtwebengine5-dev,
  uuid-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://seafile.com
 Vcs-Browser: https://salsa.debian.org/debian/seafile-client
 Vcs-Git: https://salsa.debian.org/debian/seafile-client.git
