=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,11 @@
 
 export QT_SELECT=5
 
-CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=ON -DBUILD_SHIBBOLETH_SUPPORT=ON -DAUTOMOC_MOC_OPTIONS=-p./
+CMAKE_FLAGS = -DCMAKE_BUILD_TYPE=Release \
+              -DBUILD_TESTING=ON \
+              -DBUILD_SHIBBOLETH_SUPPORT=ON \
+              -DAUTOMOC_MOC_OPTIONS=-p./ \
+              -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 %:
 	dh $@ --builddirectory=build
