=== debian/watch ===
version=4

opts="dversionmangle=s/\+ds\d*$//, repacksuffix=+ds1, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/haiwen/seafile-client/tags .*/v?(\d[\d.]*)\.tar\.gz
