=== debian/changelog ===
seafile-client (9.0.16+ds1-1) unstable; urgency=medium

  * New upstream version 9.0.16+ds1

 -- Moritz Schlarb <moschlar@debian.org>  Fri, 09 Jan 2026 10:35:17 +0100
